## DmapImageShare

DmapImageShare — A DPAP share.

## Functions

DmapImageShare * | dmap_image_share_new ()

## Object Hierarchy

        GObject
        ╰── DmapShare
            ╰── DmapImageShare

## Description

DmapImageShare objects encapsulate a DPAP share.

## Functions

### dmap_image_share_new ()

    DmapImageShare *
    dmap_image_share_new (const char *name,
                          const char *password,
                          gpointer db,
                          gpointer container_db,
                          gchar *transcode_mimetype);

Creates a new DPAP share and publishes it using mDNS.

#### Parameters

name | The name that will be published by mDNS. |
password | A share password or NULL. | [nullable]
db | A media database. |
container_db | A container (album) database. |
transcode_mimetype | A transcode mimetype or NULL. | [nullable]

#### Returns

a pointer to a DmapImageShare.